/*-
 * Copyright (c) 2002, Noriaki TANAKA. All rights reserved.
 *
 * $Id: umotif.c,v 1.3 2002/12/24 13:30:09 dtana Exp $
 */
#include <gtk/gtk.h>
#include <gmodule.h>
#include <props.h>

static guint
parse_rc_style(GScanner *scanner, GtkRcStyle *rc_style)
{
	guint token;

	while ((token = g_scanner_peek_next_token(scanner))
	    != G_TOKEN_RIGHT_CURLY) {
		g_scanner_get_next_token (scanner);
		return G_TOKEN_RIGHT_CURLY;
	}
	g_scanner_get_next_token(scanner);
	rc_style->engine_data = NULL;

	return G_TOKEN_NONE;
}

static void
merge_rc_style (GtkRcStyle *dest, GtkRcStyle *src)
{
}

static void
rc_style_to_style (GtkStyle *style, GtkRcStyle *rc_style)
{
}

static void
duplicate_style (GtkStyle *dest, GtkStyle *src)
{
}

static void
realize_style (GtkStyle *style)
{
}

static void
unrealize_style (GtkStyle *style)
{
}

static void
destroy_rc_style (GtkRcStyle *rc_style)
{
}

static void
destroy_style (GtkStyle *style)
{
}

#define TROUGHWIDTH 4

static void set_width()
{
	int thickness;
	GtkRangeClass *r;

	thickness = umotif_get_scrollbar_thickness();
	r = (GtkRangeClass *)gtk_type_class(gtk_hscrollbar_get_type());
	r->slider_width = r->stepper_size = thickness - TROUGHWIDTH;
	r = (GtkRangeClass *)gtk_type_class(gtk_vscrollbar_get_type());
	r->slider_width = r->stepper_size = thickness - TROUGHWIDTH;
}

void
theme_init(GtkThemeEngine *engine)
{
	engine->parse_rc_style    = parse_rc_style;
	engine->merge_rc_style    = merge_rc_style;
	engine->rc_style_to_style = rc_style_to_style;
	engine->duplicate_style   = duplicate_style;
	engine->realize_style     = realize_style;
	engine->unrealize_style   = unrealize_style;
	engine->destroy_rc_style  = destroy_rc_style;
	engine->destroy_style     = destroy_style;
	engine->set_background    = NULL;

	set_width();
}

void
theme_exit(void)
{
}

G_MODULE_EXPORT const gchar *
g_module_check_init(GModule *module)
{
	return gtk_check_version(GTK_MAJOR_VERSION,
	    GTK_MINOR_VERSION, GTK_MICRO_VERSION - GTK_INTERFACE_AGE);
}
