/*-
 * Copyright (c) 2002, Noriaki TANAKA. All rights reserved.
 *
 * $Id: props.c,v 1.1 2002/12/24 12:55:46 dtana Exp $
 */
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include "props.h"

#define DEFAULT_THICKNESS  19
#define MINIMUM_THICKNESS  8

int
umotif_get_scrollbar_thickness(void)
{
	const char *xfile = ".Xdefaults";
	char *path, *home, b[BUFSIZ];
	int thickness = DEFAULT_THICKNESS;
	FILE *fp;

	if ((home = getenv("HOME")) == NULL)
		return thickness;
	if ((path = malloc(strlen(home) + strlen(xfile) + 2)) == NULL)
		return thickness;
	sprintf(path, "%s/%s", home, xfile);
	if ((fp = fopen(path, "r")) == NULL) {
		perror(path);
		free(path);
		return thickness;
	}
	while (fgets(b, BUFSIZ, fp) != NULL) {
		char *t;
		const char *rs = "*Scrollbar.thickness:";

		if (b[0] == '!')
			continue;
		if ((t = strstr(b, rs)) == NULL)
			continue;
		
		thickness = atoi(t + strlen(rs));
		if (thickness < MINIMUM_THICKNESS) {
			fprintf(stderr, "%d <= %s",
			    MINIMUM_THICKNESS, rs);
			thickness = DEFAULT_THICKNESS;
		}
	}
	fclose(fp);
	free(path);
	return thickness;
}
