//-
// Copyright (c) 2002, Noriaki TANAKA. All rights reserved.
//
// $Id: umotif.cpp,v 1.2 2002/12/24 13:30:09 dtana Exp $
//
#include <qstyleplugin.h>
#include <qstylefactory.h>
#include "umotif.h"

// (references)
// /usr/ports/x11/kdelibs3/work/kdelibs-3.0.5/kstyles/

class UnifiedMotifStylePlugin : public QStylePlugin
{
public:
	UnifiedMotifStylePlugin();
	QStringList keys() const;
	QStyle *create(const QString &);
};

UnifiedMotifStylePlugin::UnifiedMotifStylePlugin()
	: QStylePlugin()
{
}

QStringList UnifiedMotifStylePlugin::keys() const
{
	QStringList list;
	list << THEME_ID;
	return list;
}

QStyle *UnifiedMotifStylePlugin::create(const QString &s)
{
	QString r = THEME_ID;
	if (s.lower() == r.lower())
		return new UnifiedMotifStyle;
	return NULL;
}


Q_EXPORT_PLUGIN(UnifiedMotifStylePlugin);

int UnifiedMotifStyle::
pixelMetric(PixelMetric metric, const QWidget *widget = 0) const
{
	if (metric == PM_ScrollBarExtent)
		return 19;
	return QMotifPlusStyle::pixelMetric(metric, widget);
}

#include "umotif.moc"
